function vdpol_steady
%% Steady State
%
% Numerically evaluate the steady state $x^*=(0,0)^T \in R^2$.

% Parameter:
a = -0.1;
disp('a = ');
disp(a);

% Steady state:
xstar = [0;0];
disp('Steady State (x*) = ');
disp(xstar);

% Jacobian at steady state:
A = [0 1; -1 2*a];
disp('Jacobian = ');
disp(A);

% Eigenvalues:
ev = eig(A);
disp('Eigenvalues:');
disp(ev);

% A-stable?:
disp('Maximum of real part of eigenvalues:');
disp(max(real(ev)));

if max(real(ev)) < 0
    disp('Steady state is A-stable')
else
    disp('Steady state is NOT A-stable')
end